-- Kuznetsov 1143.5 CV (OREL Class Carrier) 63

GT = {};
GT_t.ws = 0;

set_recursive_metatable(GT, GT_t.generic_ship)

GT.visual = {}
GT.visual.shape = "kuznecow"
GT.visual.shape_dstr = ""


GT.life = 7000
GT.mass = 7.05e+007
GT.max_velocity = 16.4622
GT.race_velocity = 15.4333
GT.economy_velocity = 9.26
GT.economy_distance = 1.4816e+007
GT.race_distance = 4.63e+006
GT.shipLength = 304.5
GT.Width = 42
GT.Height = 53.1
GT.Length = 304.5
GT.DeckLevel = 16.257
GT.X_nose = 164
GT.X_tail = -113.5
GT.Tail_Width = 28
GT.Gamma_max = 0.35
GT.Om = 0.05
GT.speedup = 0.148333
GT.R_min = 609
GT.distFindObstacles = 963.5

GT.numParking = 3
GT.Plane_Num_ = 24
GT.Helicopter_Num_ = 12

GT.airWeaponDist = 12000
GT.airFindDist = 25000

GT.exhaust = 
{
	[1] = { size = 0.75 , pos = {0 ,40, 23 } },
 }

GT.cord_points = {
        {-72.046,   16.683, -21.694}, {-68.261,   16.683, 7.259},
        {-59.487,   16.683, -23.633}, {-55.702,   16.683, 5.32},
        {-47.662,   16.683, -24.952}, {-43.877,   16.683, 4.001},
        {-35.03,    16.683, -26.578}, {-31.244,   16.683, 2.375},
                }

GT.Landing_Point = {71.0, 16.26,-30.0} --{70.0, 16.26,-30.0}

GT.LSOPosition = {4.2, 17.0, 16.65, 8.8, 4.0} 

-- weapon systems

GT.WS = {}
GT.WS.maxTargetDetectionRange = 550000;
GT.WS.radar_type = 104

local ws = 0;

--left center
ws = GT_t.inc_ws();
GT.WS[ws] = {}
GT.WS[ws].board = 3
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.AK630)
GT.WS[ws].angles = {{math.rad(80), math.rad(-80), math.rad(-12), math.rad(88)}};
GT.WS[ws].LN[1].beamWidth = math.rad(1);
GT.WS[ws].pos = {29.735,16.622,-36.422}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
GT.WS[ws].board = 3
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.AK630)
GT.WS[ws].angles = {{math.rad(80), math.rad(-80), math.rad(-12), math.rad(88)}};
GT.WS[ws].LN[1].beamWidth = math.rad(1);
GT.WS[ws].pos = {33.327,16.622,-36.422}
--right center
ws = GT_t.inc_ws();
GT.WS[ws] = {}
GT.WS[ws].board = 4
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.AK630)
GT.WS[ws].angles = {{math.rad(80), math.rad(-80), math.rad(-12), math.rad(88)}};
GT.WS[ws].LN[1].beamWidth = math.rad(1);
GT.WS[ws].pos = {29.735,16.622,29.317}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
GT.WS[ws].board = 4
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.AK630)
GT.WS[ws].angles = {{math.rad(100), math.rad(-80), math.rad(-12), math.rad(88)}};
GT.WS[ws].LN[1].beamWidth = math.rad(1);
GT.WS[ws].pos = {33.327,16.622,29.317}

--left back
ws = GT_t.inc_ws();
GT.WS[ws] = {}
GT.WS[ws].board = 2
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.AK630)
GT.WS[ws].angles = {{math.rad(30), math.rad(-135), math.rad(-12), math.rad(88)}};
GT.WS[ws].LN[1].beamWidth = math.rad(1);
GT.WS[ws].pos = {-112.364,9.925,-21.725}

--right back
ws = GT_t.inc_ws();
GT.WS[ws] = {}
GT.WS[ws].board = 2
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.AK630)
GT.WS[ws].angles = {{math.rad(135), math.rad(-30), math.rad(-12), math.rad(88)}};
GT.WS[ws].LN[1].beamWidth = math.rad(1);
GT.WS[ws].pos = {-112.364,9.925,23.337}

-- left front
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][1] = math.rad(50);
GT.WS[ws].board = 3
GT.WS[ws].pos = {110.11,15.194,-19.876}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][1] = math.rad(45);
GT.WS[ws].board = 3
GT.WS[ws].pos = {102.11,15.194,-19.876}
--left back
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][2] = math.rad(-45);
GT.WS[ws].board = 3
GT.WS[ws].pos = {-91.49,14.644,-25.068}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][2] = math.rad(-50);
GT.WS[ws].board = 3
GT.WS[ws].pos = {-99.49,14.644,-25.068}

--right front
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][2] = math.rad(-60);
GT.WS[ws].board = 4
GT.WS[ws].pos = {110.11,15.194,21.741}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][2] = math.rad(-30);
GT.WS[ws].board = 4
GT.WS[ws].pos = {102.11,15.194,21.741}
--right back
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][1] = math.rad(30);
GT.WS[ws].board = 4
GT.WS[ws].pos = {-91.346,14.644,26.503}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.kortik)
GT.WS[ws].angles[1][1] = math.rad(60);
GT.WS[ws].board = 4
GT.WS[ws].pos = {-99.346,14.644,26.503}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_klinok)
GT.WS[ws].pos = {93.93,11,-21.23}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_klinok)
GT.WS[ws].pos = {93.93,11,23.19}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_klinok)
GT.WS[ws].pos = {-84.93,11,-25}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_klinok)
GT.WS[ws].pos = {83.741,11,26.988}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_granit)
GT.WS[ws].pos = {131.6,11.4,1.535}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_granit)
GT.WS[ws].pos = {124.9,11.4,1.535}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_granit)
GT.WS[ws].pos = {118.2,11.4,1.535}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_granit)
GT.WS[ws].pos = {111.5,11.4,1.535}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_granit)
GT.WS[ws].pos = {104.8,11.4,1.535}

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_granit)
GT.WS[ws].pos = {98.2,11.4,1.535}

GT.Name = _("KUZNECOW")
GT.Name = "KUZNECOW"
GT.DisplayName = _("CV 1143.5 Admiral Kuznetsov")
GT.Rate = 5500

GT.Sensors = {  OPTIC = "generic tank daysight",
                RADAR = {
                            "Tor 9A331",
                            "2S6 Tunguska",
                            "carrier search radar",
                        }
            }

GT.DetectionRange  = GT.airFindDist;
GT.ThreatRange = GT.airWeaponDist;
GT.Singleton   ="yes";
GT.mapclasskey = "P0091000065";
GT.attribute = {wsType_Navy,wsType_Ship,wsType_AirCarrier,Kuznecow,
                    "Aircraft Carriers",
                    "cord",
                    "ski_jump",
                    "RADAR_BAND1_FOR_ARM",
				};
GT.Categories = {
					{name = "AircraftCarrier"},
					{name = "AircraftCarrier With Tramplin"},
					{name = "Armed Ship"},
				};